# class Logger

*Defined at src/core/logger.h#19*

## Functions

### Logger

*public void Logger(std::string_view path, bool append)*

### Logger

*public void Logger(const Logger & )*

*Defined at src/core/logger.h#24*

### operator=

*public Logger & operator=(const Logger & )*

*Defined at src/core/logger.h#25*

### Logger

*public void Logger(Logger && )*

*Defined at src/core/logger.h#26*

### operator=

*public Logger & operator=(Logger && )*

*Defined at src/core/logger.h#27*

### is_open

*public bool is_open()*

*Defined at src/core/logger.h#29*

### ~Logger

*public void ~Logger()*

### write_line

*public void write_line(std::string_view line)*

### flush

*public void flush()*

### close

*public void close()*

### path

*public std::string_view path()*

*Defined at src/core/logger.h#38*



